For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
      • POSTRemoves a tag from all companies.
      • GETReturns all tags that are currently in use by companies.
      • POSTUpdates a tag globally for all companies.
      • POSTAdds a batch of new tags to the company with the specified id.
      • POSTRemoves tags from the company with the specified id.
      • GETReturns the tags of the company with the specified id.
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceCompany Tags

Adds a batch of new tags to the company with the specified id.

POST
https://api.awork.com/api/v1/companies/:companyId/addtags
POST
/api/v1/companies/:companyId/addtags
$curl -X POST https://api.awork.com/api/v1/companies/companyId/addtags \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "name": "Design"
> }
>]'
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "createdOn": "2022-03-11T15:33:47.100Z",
5 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
6 "updatedOn": "2022-03-11T21:15:00.100Z",
7 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
8 "name": "Design",
9 "color": "purple"
10 }
11]
The request fails if one of the tags is invalid (e.g. empty or duplicate). <Check title="Required Permissions" icon="key">To add tags to a company the user must have `company-master-data:write` permissions on the specified company.</Check>
Was this page helpful?
Previous

Removes tags from the company with the specified id.

Next
Built with

The request fails if one of the tags is invalid (e.g. empty or duplicate).

Required Permissions
To add tags to a company the user must have company-master-data:write permissions on the specified company.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequiredformat: "uuid"
The id of the company to add tags to.

Request

The model containing the tags to be added.
namestringRequired0-255 characters
The name of the tag to delete.
colorstring or nullOptional
The color of the tag. Use one of 'red', 'coral', 'yellow', 'green', 'teal', 'arctic', 'blue', 'azure', 'purple', 'violet'.

Response

OK
idstringformat: "uuid"
The id of the entity.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
namestring or null
The name of the tag.
colorstring or null
The color of the tag.

Errors

400
Bad Request Error
401
Unauthorized Error